Subject: bug#33870: 27.0.50; xref-goto-xref not configurable

From: Dmitry Gutov <[email-masked]>
Date: Fri, 18 Jan 2019 05:37:24 +0300

On 14.01.2019 00:54, Juri Linkov wrote:
> I don't dislike the current interface, thanks for working on what it
> does well.  But please don't assume that the current UI is so perfect,
> there is no way to make it better.

I wouldn't say it's perfect either, it's still kind of idiosyncratic. 
Not sure your patch will fix that problem, though, instead of just 
swinging it the other way.

We basically have two use cases:

* Jump to this symbol, in this/that window/frame. 
windmove-display-in-direction should probably affect where the target 
buffer ends up, irrespective of whether we have to pop up an *xref* 
buffer to resolve any duplicate matches.

* Show a list of search results. Arguably, in this case 
windmove-display-in-direction should affect where the *xref* buffer is 
displayed.

Neither of y'all's patches solve this, I believe.